# -*- coding: utf-8 -*-
from odoo import models, fields, api


class HypergraphNode(models.Model):  #узлы и вершины гиперграфа
    _name = 'hg.node'
    _description = 'Вершина графа'

    name = fields.Char(string='Имя вершины')
    res_id = fields.Integer(string='ID ресурса')
    res_model = fields.Char(string='Модель')

    def goto_related(self):
        vals= {
            'type': 'ir.actions.act_window',
            'res_model': self.res_model,
            'res_id': self.res_id,
            'views': [(False, 'form')],
            'view_id': False,
            'target': 'new',
            'view_mode': 'form',

        }
        return vals
